# 8. Mutation : générer « RasterMap »

Générer une « RasterMap » pour le « Field ».

{% hint style="info" %}
Le temps d'exécution varie (de 4 s à 5 min), il dépend du nombre d'images et de la surface du champ à traiter, et l'abonnement sera reçu après la génération réussie de la « RasterMap ».
{% endhint %}

{% hint style="danger" %}
Nous recommandons d'utiliser le **approche** asynchrone pour générer RastetMap
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateRasterMap {
  generateRasterAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<emplacement réservé_uuid_image_satellite_2>"
    ]
    index : NDVI
  }) {    
    uuid
    fieldUuid
    nom
    centroid {
      latitude
      longitude
    }
    boundingBox
    geoMaps {
      shortName
      fullName
      url
      classes
      hexColorCodes
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/docs-api/vue-densemble-des-requetes-de-lapi-geopard/8.-mutation-generer-rastermap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
